/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.community.houseuser.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springblade.community.houseuser.entity.Houseuser;
import org.springblade.community.houseuser.vo.HouseuserVO;
import org.springblade.community.houseuser.mapper.HouseuserMapper;
import org.springblade.community.houseuser.service.IHouseuserService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 住户表 服务实现类
 *
 * @author BladeX
 * @since 2020-10-18
 */
@Service
public class HouseuserServiceImpl extends BaseServiceImpl<HouseuserMapper, Houseuser> implements IHouseuserService {

	@Override
	public IPage<HouseuserVO> selectHouseuserPage(IPage<HouseuserVO> page, HouseuserVO houseuser) {
		return page.setRecords(baseMapper.selectHouseuserPage(page, houseuser));
	}

	@Override
	public Houseuser getByOldIdAndResidentialId(String oldId, Long residentialId) {
		QueryWrapper<Houseuser> queryWrapper = new QueryWrapper<>();
		queryWrapper.lambda().eq(Houseuser::getOldId, oldId).eq(Houseuser::getResidentialId, residentialId);
		Houseuser houseuser = this.baseMapper.selectOne(queryWrapper);
		return houseuser;
	}

	@Override
	public Houseuser getByOldId(String oldId) {
		QueryWrapper<Houseuser> queryWrapper = new QueryWrapper<>();
		queryWrapper.lambda().eq(Houseuser::getOldId, oldId);
		Houseuser houseuser = this.baseMapper.selectOne(queryWrapper);
		return houseuser;
	}

	@Override
	public boolean deletePhysical(List<Long> ids) {
		for(Long id : ids){
			boolean result = this.baseMapper.deletePhysical(id);
			if(!result){
				return false;
			}
		}
		return true;
	}

}
